﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Hijri_Date_Insert_MVC.Models;

namespace Hijri_Date_Insert_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(IslamicEvents islamicEvents)
        {
            string constring = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constring))
            {
                using (SqlCommand cmd = new SqlCommand("INSERT INTO IslamicEvents VALUES (@Event, @Date)", con))
                {
                    cmd.Parameters.AddWithValue("@Event", islamicEvents.EventName);
                    cmd.Parameters.AddWithValue("@Date", islamicEvents.HijriDate);
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }

            return RedirectToAction("Index");
        }
    }
}